Debian Bug report logs - #276312
NPTL: race in implementation of pthread_cond_broadcast

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Benedikt Spranger <b.spranger@pengutronix.de>

Date: Wed, 13 Oct 2004 11:03:03 UTC

Severity: important

Tags: fixed-upstream

Found in version 2.3.2.ds1-17

Fixed in version glibc/2.3.5-3

Done: GOTO Masanori <gotom@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#276312; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Benedikt Spranger <b.spranger@pengutronix.de>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benedikt Spranger <b.spranger@pengutronix.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: NPTL: race in implementation of pthread_cond_broadcast
Date: Wed, 13 Oct 2004 12:55:09 +0200
Package: libc6
Version: 2.3.2.ds1-17
Severity: normal

The NPTL-implementation of pthread_cond_broadcast used in 2.3.2.ds1-17
contains a race. In some situation pthread_cond_broadcast did not wake
up all waiting members and waits for ever. This race is fixed in CVS and 
glibc 2.3.3.
Thanks to Thomas Gleixner to Track down the Problem.

Benedikt Spranger

-- System Information:
Debian Release: unstable
Architecture: i386 (i686)
Kernel: Linux 2.6.8.1
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro



Tags added: fixed-upstream Request was from GOTO Masanori <gotom@debian.or.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#276312; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to David Welton <davidnwelton@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 276312@bugs.debian.org (full text, mbox):

From: David Welton <davidnwelton@gmail.com>
To: 314408@bugs.debian.org, 276312@bugs.debian.org
Subject: Debian NPTL seems broken
Date: Thu, 16 Jun 2005 09:15:12 +0200
Both of these bugs seem like reasonably serious issues.  I'm not sure
exactly which one 'mine' is, but it looks a bit more like 276312:

http://sourceforge.net/tracker/index.php?func=detail&aid=1220692&group_id=12997&atid=112997

Like the bug Stefan reports, this has caused problems on machines that
were supposed to be deployed at client sites, so I will be raising the
Severity of the bug.

See also:

http://lists.debian.org/debian-glibc/2005/06/msg00134.html

Thankyou,
-- 
David N. Welton
 - http://www.dedasys.com/davidw/

Apache, Linux, Tcl Consulting
 - http://www.dedasys.com/



Severity set to `important'. Request was from "David N. Welton" <davidw@dedasys.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#276312; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to David Welton <davidnwelton@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 276312@bugs.debian.org (full text, mbox):

From: David Welton <davidnwelton@gmail.com>
To: 314408@bugs.debian.org, 276312@bugs.debian.org
Subject: Re: Debian NPTL seems broken
Date: Thu, 16 Jun 2005 10:52:18 +0200
On 6/16/05, David Welton <davidnwelton@gmail.com> wrote:
> Both of these bugs seem like reasonably serious issues.  I'm not sure
> exactly which one 'mine' is, but it looks a bit more like 276312:

Ah, I see that 314408 is an amd64 thing, so mine is either 276312, or
some other NPTL.  In any case, the version of NPTL in Debian is not
ready for production use and should either be updated or turned off by
default.

-- 
David N. Welton
 - http://www.dedasys.com/davidw/

Apache, Linux, Tcl Consulting
 - http://www.dedasys.com/



Reply sent to GOTO Masanori <gotom@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Benedikt Spranger <b.spranger@pengutronix.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 276312-close@bugs.debian.org (full text, mbox):

From: GOTO Masanori <gotom@debian.org>
To: 276312-close@bugs.debian.org
Subject: Bug#276312: fixed in glibc 2.3.5-3
Date: Fri, 05 Aug 2005 03:29:24 -0700
Source: glibc
Source-Version: 2.3.5-3

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.5-3_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.5-3_all.deb
glibc_2.3.5-3.diff.gz
  to pool/main/g/glibc/glibc_2.3.5-3.diff.gz
glibc_2.3.5-3.dsc
  to pool/main/g/glibc/glibc_2.3.5-3.dsc
libc6-dbg_2.3.5-3_arm.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-3_arm.deb
libc6-dbg_2.3.5-3_hppa.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-3_hppa.deb
libc6-dbg_2.3.5-3_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-3_i386.deb
libc6-dbg_2.3.5-3_mips.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-3_mips.deb
libc6-dbg_2.3.5-3_mipsel.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-3_mipsel.deb
libc6-dbg_2.3.5-3_powerpc.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-3_powerpc.deb
libc6-dbg_2.3.5-3_s390.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-3_s390.deb
libc6-dbg_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6-dbg_2.3.5-3_sparc.deb
libc6-dev-ppc64_2.3.5-3_powerpc.deb
  to pool/main/g/glibc/libc6-dev-ppc64_2.3.5-3_powerpc.deb
libc6-dev-s390x_2.3.5-3_s390.deb
  to pool/main/g/glibc/libc6-dev-s390x_2.3.5-3_s390.deb
libc6-dev-sparc64_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6-dev-sparc64_2.3.5-3_sparc.deb
libc6-dev_2.3.5-3_arm.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-3_arm.deb
libc6-dev_2.3.5-3_hppa.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-3_hppa.deb
libc6-dev_2.3.5-3_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-3_i386.deb
libc6-dev_2.3.5-3_mips.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-3_mips.deb
libc6-dev_2.3.5-3_mipsel.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-3_mipsel.deb
libc6-dev_2.3.5-3_powerpc.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-3_powerpc.deb
libc6-dev_2.3.5-3_s390.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-3_s390.deb
libc6-dev_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6-dev_2.3.5-3_sparc.deb
libc6-i686_2.3.5-3_i386.deb
  to pool/main/g/glibc/libc6-i686_2.3.5-3_i386.deb
libc6-pic_2.3.5-3_arm.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-3_arm.deb
libc6-pic_2.3.5-3_hppa.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-3_hppa.deb
libc6-pic_2.3.5-3_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-3_i386.deb
libc6-pic_2.3.5-3_mips.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-3_mips.deb
libc6-pic_2.3.5-3_mipsel.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-3_mipsel.deb
libc6-pic_2.3.5-3_powerpc.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-3_powerpc.deb
libc6-pic_2.3.5-3_s390.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-3_s390.deb
libc6-pic_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6-pic_2.3.5-3_sparc.deb
libc6-ppc64_2.3.5-3_powerpc.deb
  to pool/main/g/glibc/libc6-ppc64_2.3.5-3_powerpc.deb
libc6-prof_2.3.5-3_arm.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-3_arm.deb
libc6-prof_2.3.5-3_hppa.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-3_hppa.deb
libc6-prof_2.3.5-3_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-3_i386.deb
libc6-prof_2.3.5-3_mips.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-3_mips.deb
libc6-prof_2.3.5-3_mipsel.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-3_mipsel.deb
libc6-prof_2.3.5-3_powerpc.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-3_powerpc.deb
libc6-prof_2.3.5-3_s390.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-3_s390.deb
libc6-prof_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6-prof_2.3.5-3_sparc.deb
libc6-s390x_2.3.5-3_s390.deb
  to pool/main/g/glibc/libc6-s390x_2.3.5-3_s390.deb
libc6-sparc64_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6-sparc64_2.3.5-3_sparc.deb
libc6-sparcv9_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6-sparcv9_2.3.5-3_sparc.deb
libc6-sparcv9b_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6-sparcv9b_2.3.5-3_sparc.deb
libc6-udeb_2.3.5-3_arm.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-3_arm.udeb
libc6-udeb_2.3.5-3_hppa.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-3_hppa.udeb
libc6-udeb_2.3.5-3_i386.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-3_i386.udeb
libc6-udeb_2.3.5-3_mips.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-3_mips.udeb
libc6-udeb_2.3.5-3_mipsel.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-3_mipsel.udeb
libc6-udeb_2.3.5-3_powerpc.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-3_powerpc.udeb
libc6-udeb_2.3.5-3_s390.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-3_s390.udeb
libc6-udeb_2.3.5-3_sparc.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.5-3_sparc.udeb
libc6.1-dbg_2.3.5-3_ia64.deb
  to pool/main/g/glibc/libc6.1-dbg_2.3.5-3_ia64.deb
libc6.1-dev_2.3.5-3_ia64.deb
  to pool/main/g/glibc/libc6.1-dev_2.3.5-3_ia64.deb
libc6.1-pic_2.3.5-3_ia64.deb
  to pool/main/g/glibc/libc6.1-pic_2.3.5-3_ia64.deb
libc6.1-prof_2.3.5-3_ia64.deb
  to pool/main/g/glibc/libc6.1-prof_2.3.5-3_ia64.deb
libc6.1-udeb_2.3.5-3_ia64.udeb
  to pool/main/g/glibc/libc6.1-udeb_2.3.5-3_ia64.udeb
libc6.1_2.3.5-3_ia64.deb
  to pool/main/g/glibc/libc6.1_2.3.5-3_ia64.deb
libc6_2.3.5-3_arm.deb
  to pool/main/g/glibc/libc6_2.3.5-3_arm.deb
libc6_2.3.5-3_hppa.deb
  to pool/main/g/glibc/libc6_2.3.5-3_hppa.deb
libc6_2.3.5-3_i386.deb
  to pool/main/g/glibc/libc6_2.3.5-3_i386.deb
libc6_2.3.5-3_mips.deb
  to pool/main/g/glibc/libc6_2.3.5-3_mips.deb
libc6_2.3.5-3_mipsel.deb
  to pool/main/g/glibc/libc6_2.3.5-3_mipsel.deb
libc6_2.3.5-3_powerpc.deb
  to pool/main/g/glibc/libc6_2.3.5-3_powerpc.deb
libc6_2.3.5-3_s390.deb
  to pool/main/g/glibc/libc6_2.3.5-3_s390.deb
libc6_2.3.5-3_sparc.deb
  to pool/main/g/glibc/libc6_2.3.5-3_sparc.deb
libnss-dns-udeb_2.3.5-3_arm.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_arm.udeb
libnss-dns-udeb_2.3.5-3_hppa.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_hppa.udeb
libnss-dns-udeb_2.3.5-3_i386.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_i386.udeb
libnss-dns-udeb_2.3.5-3_ia64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_ia64.udeb
libnss-dns-udeb_2.3.5-3_mips.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_mips.udeb
libnss-dns-udeb_2.3.5-3_mipsel.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_mipsel.udeb
libnss-dns-udeb_2.3.5-3_powerpc.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_powerpc.udeb
libnss-dns-udeb_2.3.5-3_s390.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_s390.udeb
libnss-dns-udeb_2.3.5-3_sparc.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.5-3_sparc.udeb
libnss-files-udeb_2.3.5-3_arm.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_arm.udeb
libnss-files-udeb_2.3.5-3_hppa.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_hppa.udeb
libnss-files-udeb_2.3.5-3_i386.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_i386.udeb
libnss-files-udeb_2.3.5-3_ia64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_ia64.udeb
libnss-files-udeb_2.3.5-3_mips.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_mips.udeb
libnss-files-udeb_2.3.5-3_mipsel.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_mipsel.udeb
libnss-files-udeb_2.3.5-3_powerpc.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_powerpc.udeb
libnss-files-udeb_2.3.5-3_s390.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_s390.udeb
libnss-files-udeb_2.3.5-3_sparc.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.5-3_sparc.udeb
locales_2.3.5-3_all.deb
  to pool/main/g/glibc/locales_2.3.5-3_all.deb
nscd_2.3.5-3_arm.deb
  to pool/main/g/glibc/nscd_2.3.5-3_arm.deb
nscd_2.3.5-3_hppa.deb
  to pool/main/g/glibc/nscd_2.3.5-3_hppa.deb
nscd_2.3.5-3_i386.deb
  to pool/main/g/glibc/nscd_2.3.5-3_i386.deb
nscd_2.3.5-3_ia64.deb
  to pool/main/g/glibc/nscd_2.3.5-3_ia64.deb
nscd_2.3.5-3_mips.deb
  to pool/main/g/glibc/nscd_2.3.5-3_mips.deb
nscd_2.3.5-3_mipsel.deb
  to pool/main/g/glibc/nscd_2.3.5-3_mipsel.deb
nscd_2.3.5-3_powerpc.deb
  to pool/main/g/glibc/nscd_2.3.5-3_powerpc.deb
nscd_2.3.5-3_s390.deb
  to pool/main/g/glibc/nscd_2.3.5-3_s390.deb
nscd_2.3.5-3_sparc.deb
  to pool/main/g/glibc/nscd_2.3.5-3_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 276312@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
GOTO Masanori <gotom@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Jul 2005 17:27:30 +0900
Source: glibc
Binary: libc6-i686 libc6-dev-ppc64 libc0.3-pic glibc-doc libc1-udeb libc0.3 libc6.1-dev libc1-pic libc6-s390x libnss-files-udeb libc1-dbg libc6-dev-sparc64 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc6-sparcv9 libc6.1-prof libc1 locales libc6-pic libc0.3-udeb libc1-prof libc6-ppc64 libc0.3-dbg libc6-prof libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc1-dev libc6-dev-s390x
Architecture: all arm hppa i386 ia64 mips mipsel powerpc s390 source sparc 
Version: 2.3.5-3
Distribution: unstable
Urgency: low
Maintainer: GOTO Masanori <gotom@debian.org>
Changed-By: GOTO Masanori <gotom@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries and Timezone data
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 48184 136990 144670 146489 156923 159298 169370 175163 177940 181025 182542 185991 192091 197988 202197 202209 204696 206015 207266 209145 210613 215463 216800 219205 219476 222130 224665 230219 235876 237681 245208 245836 247681 252753 253303 258647 260221 260377 261135 261237 261541 262782 263959 264948 266438 266507 267442 270745 270823 271526 274390 274491 275240 276062 276223 276309 276312 276527 277667 279294 279423 280030 280137 281775 282091 284131 288472 288710 289945 290551 292154 293653 295117 297010 298488 298784 299137 299139 300806 300842 302458 304022 304426 304500 304963 305400 305662 305666 306136 308824 309489 309618 310443 311053 311793 312036 312297 312404 312406 312488 312902 313219 313404 314084 314350 314408 314717 314855 314892 315198 315345 315347 315448 315793 316217 317674 317946 318429 318885 318956 318963 318982 319115 320240 320963
Changes: 
 glibc (2.3.5-3) unstable; urgency=low
 .
   * The "Keep Debconf5 speed" and the "Welcome back the recent glibc to
     unstable" release.
   * Glibc bumps up from 2.3.2.ds1 to 2.3.5 on etch.
 .
   * GOTO Masanori <gotom@debian.org>
 .
     * Localedata update:
       - debian/patches/cvs-localedata.dpatch: New file, to update localedata
         to the latest cvs.  Reported by Safir Secerovic <esafir@yahoo.com>,
         Reviewed by Denis Barbier <barbier@linuxfr.org>.  (Closes: #312902)
       - debian/patches/locale-iso4217.dpatch: New file, to fix localedef
         breakage for tr_TR.ISO-8859-9.  (Closes: #314855)
 .
     * To make glibc-2.3.5 buidable with gcc-4.0:
       - debian/patches/00list: Drop glibc234-hppa-full-nptl-2004-12-20.dpatch
         line replaced by the new patches: glibc235-hppa-sysdeps.dpatch and
         glibc235-hppa-lt.dpatch.  It'll be removed when hppa unstable works
         nicely.
       - debian/patches/glibc235-gcc4-sparc-inline.dpatch: Update the patch
         to compile sparc64.
       - debian/patches/glibc235-gcc4-s390-inline.dpatch: New file, fix s390
         compilation breakage by changing static inline to auto inline for
         dl-machine.h.
       - debian/patches/glibc235-gcc4-alpha-profile.dpatch: New file, fix
         alpha compilation breakage by removing strong_alias.
       - debian/patches/glibc235-gcc4-hppa-profile.dpatch: New file, fix hppa
         compilation breakage by removing strong_alias.
       - debian/sysdeps/alpha.mk: Disabled __thread for static linked
         executables.
       - debian/control.in/main: Add Build-Depends: gcc-3.4 for powerpc and
         m68k.
       - debian/control: Regenerated.
 .
     * To make glibc-2.3.5 buildable with gcc-3.4:
       - debian/sysdeps/m68k.mk: New file, to use gcc-3.4 as CC and BUILD_CC
         due to gcc-4.0 ICE.  See #319312.
       - debian/patches/glibc235-gcc34-m68k-seccomment.dpatch: New file, fix
         m68k binutils comment parse error.
 .
     * Introduce RUN_TESTSUITE for disabling make check, taken from Jeff
       Bailey <jbailey@ubuntu.com>:
       - debian/rules: Enable RUN_TESTSUITE in default.
       - debian/rules.d/build.mk: Check RUN_TESTSUITE before invoking tests.
       - debian/sysdeps/hppa.mk: Disable RUN_TESTSUITE because linuxthreads
         cannot work correctly.
       - debian/sysdeps/alpha.mk: Likewise.
 .
     * Introduce loose locales version dependency to avoid locales version
       mismatch for FTBFS architectures, taken from Jeff Bailey
       <jbailey@ubuntu.com> (Closes: #204696, #308824):
       - debian/locales-depver: New file, describes minimum locales dependency
         version.  It's renamed from locales-shlibver because it's not "shlib".
       - debian/rules.d/debhelper.mk: Use LOCALES_DEP_VER to generate locales
         dependency.
       - debian/rules: Include debian/locales-depver.
 .
     * debian/rules.d/build.mk: Add --without-selinux for nscd.  It should be
       removed after this version ASAP.
 .
     * debian/sysdeps/depflags.pl: Drop Depends: libdb1-compat because it's
       until sarge stuff.  Suggested by Colin Watson <cjwatson@debian.org>.
       (Closes: #318885)
 .
     * debian/debhelper.in/nscd.dirs: New file, add /var/run/nscd dir to
       invoke nscd correctly.  (Closes: #314892)
 .
     * debian/local/manpages/locale.gen.5: Fix typo, charsets -> charmaps.
       (Closes: #312297, #318982)
 .
     * debian/debhelper.in/libc.preinst: Remove dpkg --assert-support-predepends
       check like base-passwrd, suggested by Bastian Blank <waldi@debian.org>.
       (Closes: #316217)
 .
     * debian/patches/locales-supported.dpatch: Don't apply to drop UTF-8@euro
       locales from SUPPORTED.  (Closes: #274491)
 .
     * debian/debhelper.in/libc.preinst: Fix typo.  (Closes: #306136)
     * debian/debhelper.in/libc.postinst: Likewise.
 .
     * Michael Banck <mbanck@debian.org>:
       - debian/patches/hurd-enable-ldconfig.dpatch: New file, to build ldconfig
         again on Hurd.  (Closes: #309489)
       - debian/sysdeps/gnu.mk: Hurd-i386 needs --without-tls option to build.
       - debian/patches/hurd-libpthread-indirect-loading.dpatch: New file, to
         make libpthread load indirectly on Hurd.  (Closes: #312488)
       - debian/patches/hurd-ioctl-pfinet.dpatch: New file, to support part of
         SIOCGIFHWADDR for pfinet on Hurd.  (Closes: #295117)
 .
     * Jeff Bailey <jbailey@ubuntu.com>:
       - debian/patches/glibc235-hppa-sysdeps.dpatch: New file, to build hppa
         linuxthreads locking problem and sysdeps correctly again.
       - debian/patches/glibc235-hppa-lt.dpatch: New file, likewise.
 .
     * Denis Barbier <barbier@debian.org>:
       - debian/debhelper.in/locales.config: Use LANG=C for locale-dependent
         commands.  (Closes: #314717)
       - debian/debhelper.in/locales.postinst: Likewise.
       - debian/debhelper.in/locales.postinst: Fix repeated locale entry
         duplication when at least a locale is defined twice in /etc/locale.gen.
         (Closes: #271526)
 .
     * Stephen Gildea <gildea@stop.mail-abuse.org>:
       - debian/debhelper.in/nscd.init: Provides a "status" option, fix the exit
         status if the script is given an unsupported option.  (Closes: #312404)
 .
     * Serge Belyshev <belyshev@depni.sinp.msu.ru>:
       - debian/patches/glibc235-execvp-fix.dpatch: Fix execvp segv caused by
         invalid free pointer.
 .
     * This version fixes some bugs that are already marked as
       fixed-in-experimental and explained the reason in this changelog.
       (Closes: #144670, #185991, #258647, #276062, #279423, #280030, #298784)
       (Closes: #300806, #300842, #304963, #305400, #305662, #305666, #309618)
       (Closes: #311793, #313404, #314084, #315347, #315793)
 .
     * This version fixes some bugs that are already confirmed as fixed
       (fixed-in-experimental) in the experimental glibc:
       - Can compile rpc/xdr.h with gcc-4.0.  (Closes: #315198, #320963)
       - Support posix_fadvise64 correctly on 2.4 kernel.
           (Closes: #312406, #313219)
       - Can static link with the recent toolchain changed with TLS/non-TLS
         errno definition on amd64 and ia64.
         (Closes: #317674, #317946, #318956, #318963, #319115)
       - Fix mktime when setting a timezone value to AC_FUNC_MKTIME.
         (Closes: #177940)
       - Fix libc6-i686 to reexec init.  (Closes: #270745)
 .
     * This version fixes some bugs that are marked as fixed-upstream:
       - Fix ucontext.h failure with g++-4.0 on ia64.  (Closes: #318429, #320240)
 .
       - Missing icache flushing on PPC caused sometimes segv, and now cache
         management is reworked and fixed.  (Closes: #146489)
       - Fix alpha atan() that gave wrong results for some operands.
         (Closes: #210613)
       - Fix PPC rint() that gave wrong result for negative arguments in the
         rounding toward -inf and +inf mode.  (Closes: #216800)
       - Fix that the pmaplist frees the freed memory in xdr_pmaplist.
         (Closes: #230219)
       - Don't export unneeded symbol _fp_hw on s390.  (Closes: #247681)
       - Set locale correctly for generated threads in static linked binaries.
         (Closes: #260221)
       - Make g++ compilation with nptl pthread.h by changing initializers.
         (Closes: #276309)
       - Fix a race condition with pthread_cond_broadcast.  (Closes: #276312)
       - Fix re_exec() segv that caused on UTF-8 locales.
         (Closes: #175163, #237681, #290551, #299137, #310443)
       - Implement getcontext on alpha.  (Closes: #293653)
       - Fix an incorrect value of ceill and floorl on amd64.  (Closes: #302458)
       - Fix memory leaks in getaddrinfo/freeaddrinfo.  (Closes: #304022)
       - Fix mips/mipsel incomplete clobbered registers for syscalls.
         (Closes: #304426)
       - Support working sched_setaffinity on powerpc.  (Closes: #311053)
       - Support _SC_HOST_NAME_MAX in sysconf.  (Closes: #314350)
       - Fix pthread_rwlock_wrlock hangs with NPTL on amd64.  (Closes: #314408)
 .
       - Check timezone changes for localtime and friends.  (Closes: #48184)
       - Fix a race condition of sigaction and signal handler.
         (Closes: #136990)
       - Fix segmentation fault when invoking nscd -d.
         (Closes: #156923, 245208)
       - Support POSIX style strerror_r implementation.
         (Closes: #159298, #169370, #182542, #202209)
       - Enable to use short IPv4 address notation again.  (Closes: #192091)
       - Fix broken pthread_cleanup_push on Alpha.  (Closes: #197988)
       - Support POSIX message queues.  (Closes: #202197, #280137)
       - Don't use ?: in bits/mathinline.h.  (Closes: #206015, #304500)
       - Update Norwegian translation that fixes confusing text.
         (Closes: #207266)
       - Enable executable again for libc.so.*.  (Closes: #215463, #264948)
       - Improve putchar and io performance by changes to pthread locking code.
         (Closes: #219205)
       - Update sys/vm86.h.  (Closes: #219476)
       - Fix invalid __libc_dlclose() in nsswitch.c.  (Closes: #222130)
       - Support backtrace on ia64 and x86_64.  (Closes: #235876)
       - Fix nl_langinfo(ERA) returns NULL, not "".  (Closes: #245836)
       - Libintl.h is ready for some g++ compilation option.  (Closes: #252753)
       - Fix pthread_cond_timedwait and mutex hang with cancellation.
         (Closes: #253303)
       - Fix too long fraction digits handling in strtold().  (Closes: #260377)
       - Fix some regexec() segv in UTF-8 locales.  (Closes: #261135)
       - Fix pthread_cond_timedwait with a outdated timespec destroys the
         pthread_cond_t variable. (Closes: #261237)
       - Declare EPOLLONESHOT in sys/epoll.h.  (Closes: #261541)
       - Fix returning invalid pointer when freeing valloc()-ed memory.
         (Closes: #262782)
       - Replace gcc-3.4 option for ppc64.  (Closes: #263959)
       - Fix zdump -v segv on ia64.  (Closes: #266438)
       - Support pthread_create with attributes.  (Closes: #266507)
       - Change __vector to __iovec for sys/io.h to prevent conflicts with
         altivec.  (Closes: #267442)
       - Fix atan2 infinit loop on amd64.  (Closes: #270823)
       - Avoid memory leak for some gconv encoding by calling gconv_end.
         (Closes: #274390)
       - Fix mplayerplug-in crash closed by mozilla.  (Closes: #275240)
       - Fix invalid memory access of printf when its specifier combines
         parameter number specification and floating point values.
         (Closes: #277667, #312036)
       - Don't touch unrelated bits in __feclearexcept on i386.
         (Closes: #279294)
       - Don't invoke unneeded cancellation if PTHREAD_CANCEL_DISABLE is set.
         (Closes: #281775)
       - Fix a race condition between pthread_create and pthread_exit.
         (Closes: #282091, #292154)
       - Fix for setfacl to handle many files in ntfw64.  (Closes: #288710)
       - Support large dev_t.  (Closes: #289945, #299139)
       - Use the correct ifndef __GNUC_PREREQ.  (Closes: #315345)
 .
       - Fix the indended first line of ldd output.  (Closes: #209145, #276223)
       - Fix misleading error message of ldd when kernel version is old.
         (Closes: #224665)
       - Fix typo of the language name in te_IN.  (Closes: #276527)
       - Replace old --help message that indicated glibcbug script.
         (Closes: #315448)
 .
       - Support IDN.  (Closes: #181025)
       - Support O_NOATIME.  (Closes: #284131, #297010, #298488)
       - The first day of a week in Finnish is Monday.  (Closes: #288472)
Files: 
 011debfd0c5ae5762a7e811c05e0e999 5591880 base required libc6_2.3.5-3_s390.deb
 016fb9508f0cb6d943875fd9a0e619d4 1719 libs required glibc_2.3.5-3.dsc
 0519bab001a391911b611576d0a10e04 4057410 base standard locales_2.3.5-3_all.deb
 08c14d3b7d89420ff77c37d623808496 18734 debian-installer extra libnss-files-udeb_2.3.5-3_hppa.udeb
 12a15fd1ffd55b6d83e170ab4f322187 124080 admin optional nscd_2.3.5-3_hppa.deb
 12dac01e0d6d767d1f9677749525d957 1303694 libdevel optional libc6-pic_2.3.5-3_arm.deb
 160dc64a705fded8f8cda29d560e3ad7 6053364 libdevel extra libc6-dbg_2.3.5-3_s390.deb
 16fb2d9c64eea972ea529dab5e70fca5 6063018 libdevel extra libc6-dbg_2.3.5-3_mipsel.deb
 192aea729847a1991b71e5f21733fc17 2155758 libdevel extra libc6.1-prof_2.3.5-3_ia64.deb
 2242c505f4a1fe5843fbabc48fe512a5 979602 debian-installer extra libc6-udeb_2.3.5-3_mipsel.udeb
 2787f4963994b0e45db4c9ffcb7e1f66 1238998 libs extra libc6-sparcv9b_2.3.5-3_sparc.deb
 2a46e8f11bef59d713a1adaa236b7ce9 999580 debian-installer extra libc6-udeb_2.3.5-3_s390.udeb
 2c6d45a4a7aea7c8041103cccfbc9e36 945484 debian-installer extra libc6-udeb_2.3.5-3_sparc.udeb
 2d0fb4d852811fd68964a4935bdb96fe 1389722 libdevel optional libc6-pic_2.3.5-3_mipsel.deb
 3462a741cda3356a9d67c82a32267b3a 1575388 libdevel extra libc6-prof_2.3.5-3_arm.deb
 349364469f964a9c47d058c3b4b0faaa 5713484 libdevel extra libc6-dbg_2.3.5-3_hppa.deb
 364d46bf5fec3ef329142b60e842f005 14734 debian-installer extra libnss-files-udeb_2.3.5-3_powerpc.udeb
 3b10b5f9bed1dcf16a58e218245a1a4d 4334390 base required libc6_2.3.5-3_hppa.deb
 41e64f89994f2d477d8d86e8baa178d7 1730856 libdevel extra libc6-prof_2.3.5-3_powerpc.deb
 4831b8749c1e8fc4a7be5257e3f448d6 3279894 base required libc6-s390x_2.3.5-3_s390.deb
 4f6f4fc539013d2c7e2ae204d71f2d84 1046232 debian-installer extra libc6-udeb_2.3.5-3_hppa.udeb
 51191bce52c37e3e948f0a6a2481253c 121836 admin optional nscd_2.3.5-3_sparc.deb
 515830a6a04abc821a159b15ba0c1bfd 2268860 libdevel standard libc6-dev_2.3.5-3_hppa.deb
 5425412f18b45dc38422a6562bbefa90 8780 debian-installer extra libnss-dns-udeb_2.3.5-3_powerpc.udeb
 54f6f0b85b3bf9e023e1bce37f01ac6c 5757450 libdevel extra libc6-dbg_2.3.5-3_sparc.deb
 5609c95c62f13768d662cc3aa40e9577 6600982 base required libc6.1_2.3.5-3_ia64.deb
 56c823b855abdc0b339e92ecf4c59503 14858 debian-installer extra libnss-files-udeb_2.3.5-3_i386.udeb
 5a7a88878e4293e7e387bf1f96726913 14462 debian-installer extra libnss-files-udeb_2.3.5-3_arm.udeb
 5b00724e221c9aa3394fb483fe2dd43e 1783704 libdevel extra libc6-prof_2.3.5-3_hppa.deb
 5d1f097a8ed7200d196753be0cd705f3 1290574 libdevel optional libc6-pic_2.3.5-3_powerpc.deb
 5ea46b6d48223beb09776abca515bede 126152 admin optional nscd_2.3.5-3_mipsel.deb
 5ee9a3e1d5a303eacff37ab632ef460d 6175964 libdevel extra libc6-dbg_2.3.5-3_mips.deb
 5fd3866ef5b17c6c9688a3604f56ecc0 4135656 base required libc6_2.3.5-3_sparc.deb
 62db3099eac81a0b8a015e337c689ba4 2280846 libdevel standard libc6-dev_2.3.5-3_mips.deb
 646e3b13d07fb2efab8f1494110d2a8d 8272 debian-installer extra libnss-dns-udeb_2.3.5-3_i386.udeb
 6a61074855b9918183fe914d65f16fb8 2208554 libdevel standard libc6-dev_2.3.5-3_powerpc.deb
 6ef8f61fecd27cb77cff4c85851194b4 702886 debian-installer extra libc6-udeb_2.3.5-3_i386.udeb
 74c97ef4a2f8ed48b79ab7a9844a6d7c 294279 libs required glibc_2.3.5-3.diff.gz
 74f170d6133487e41010ae21092ae30d 1009576 libdevel optional libc6-pic_2.3.5-3_i386.deb
 79275dcbae85393540634bb48af7b8a1 3140956 libdevel standard libc6-dev_2.3.5-3_s390.deb
 7a9bb84db66f809108e5d95a52e6d25e 1773262 libdevel extra libc6-prof_2.3.5-3_mips.deb
 804a2fe0c884c9b6d2f75722f4e30f4f 1006282 libs extra libc6-i686_2.3.5-3_i386.deb
 834a794f4dab02e7492a95203c3dc16d 146276 admin optional nscd_2.3.5-3_ia64.deb
 8478f064e0932f132e6f473ad06b029b 4927094 base required libc6_2.3.5-3_i386.deb
 86dd41849fc94f6501aaf85bf13bb9b4 9726 debian-installer extra libnss-dns-udeb_2.3.5-3_hppa.udeb
 86e3566f6a2c0afb028d76a28c20c38f 2076318 libdevel standard libc6-dev_2.3.5-3_arm.deb
 87eab04a863244ec22971e8afe79a816 128038 admin optional nscd_2.3.5-3_s390.deb
 8b5eb75863d3a2c449fd1dacbbbc24a6 930922 debian-installer extra libc6-udeb_2.3.5-3_arm.udeb
 8c0cef4eb5481940c3bb3afbbf835542 964160 debian-installer extra libc6-udeb_2.3.5-3_powerpc.udeb
 8ea6754ab1003c2ca0126faf6bfcda53 1241490 libs extra libc6-sparcv9_2.3.5-3_sparc.deb
 944a11129f6d04a8d57cf3e7cd031301 1637290 libdevel optional libc6.1-pic_2.3.5-3_ia64.deb
 94a96801dafc55c917c7933ce253c85a 1291460 libdevel optional libc6-pic_2.3.5-3_sparc.deb
 95bfefae0810902ecd3b43124e83c652 1392728 libdevel optional libc6-pic_2.3.5-3_hppa.deb
 95d4a7504a3f54d9d825c2625207a10d 126164 admin optional nscd_2.3.5-3_mips.deb
 96a819abd88793cf4b9f4e26ba974f46 23488 debian-installer extra libnss-files-udeb_2.3.5-3_ia64.udeb
 99d710b22aa199097711ef65cde01be2 5945876 libdevel extra libc6-dbg_2.3.5-3_i386.deb
 9d07b7f66d865dda93295846ed436d5d 1391646 libdevel optional libc6-pic_2.3.5-3_mips.deb
 9da3027d9419d36de04be4560978d413 9070 debian-installer extra libnss-dns-udeb_2.3.5-3_s390.udeb
 a1bcbcf1fe6f5ec1e12192a9bd0d932a 981694 debian-installer extra libc6-udeb_2.3.5-3_mips.udeb
 a4e727ca0561547db1bf618daf92e2eb 3403746 base required libc6-sparc64_2.3.5-3_sparc.deb
 a52efbfaf43b2d863ba9beee6d70176f 8866 debian-installer extra libnss-dns-udeb_2.3.5-3_mips.udeb
 a66cbfcb421aee8e4e7fb395d78b630a 121984 admin optional nscd_2.3.5-3_i386.deb
 a73d5aa9107ee48eb0ff8535fa27087a 4245438 base required libc6_2.3.5-3_mips.deb
 aaad59556ff044d590403bfc32208433 1262164 libdevel extra libc6-prof_2.3.5-3_i386.deb
 aea315ad2b2eb27b93e954c26af1078a 8116 debian-installer extra libnss-dns-udeb_2.3.5-3_sparc.udeb
 afb711ed86979a180dfca017a69fc3a1 1985662 libdevel standard libc6-dev-ppc64_2.3.5-3_powerpc.deb
 b25dfe785f8704fae4a5f638647913c1 3558914 base required libc6-ppc64_2.3.5-3_powerpc.deb
 b3ec3e9bbbb89fa563c491730e490b8f 119742 admin optional nscd_2.3.5-3_arm.deb
 b6421015a2eefd0964275e3b55aad48a 15488 debian-installer extra libnss-files-udeb_2.3.5-3_mipsel.udeb
 b70cac9b92c553223743320282ff2abd 14910 debian-installer extra libnss-files-udeb_2.3.5-3_sparc.udeb
 b71c8152dddd272265a30a1d69270445 1764612 libdevel extra libc6-prof_2.3.5-3_mipsel.deb
 b8b23c6ef4bf94f3b0e16eb699a701b9 4174442 base required libc6_2.3.5-3_mipsel.deb
 bd62c8e472c8d1a4162528c01a46a692 1600854 libdevel extra libc6-prof_2.3.5-3_sparc.deb
 c23c9590b1aa6dec3670dccf1fa5c54d 12688 debian-installer extra libnss-dns-udeb_2.3.5-3_ia64.udeb
 c3a0b122fc83f2c8ff9782a16fe4ef02 8936 debian-installer extra libnss-dns-udeb_2.3.5-3_mipsel.udeb
 c77d1b857572dbb2524d244bb0d570d6 4201772 base required libc6_2.3.5-3_powerpc.deb
 c7908073ec7e66451e9e34fa3ab3ceea 5954594 libdevel extra libc6.1-dbg_2.3.5-3_ia64.deb
 cef73fa50ef6ac125546bb6fe7be49d8 15386 debian-installer extra libnss-files-udeb_2.3.5-3_mips.udeb
 d21bb4eabfdde94cf5bc08cfef1b055b 16182 debian-installer extra libnss-files-udeb_2.3.5-3_s390.udeb
 d29edf1d83b28c168b4fe3d773ef005b 1255394 debian-installer extra libc6.1-udeb_2.3.5-3_ia64.udeb
 d5d7319e73f0b6a74b7f779ef4b83562 2363898 doc optional glibc-doc_2.3.5-3_all.deb
 d656f9f76f434e6e1cd5f22b49be1403 4067994 base required libc6_2.3.5-3_arm.deb
 d94281d30d133468ad9dacc2e675803e 5572414 libdevel extra libc6-dbg_2.3.5-3_arm.deb
 de1ad07fce59d6f9da96389eaa90a6d6 2270470 libdevel standard libc6-dev_2.3.5-3_mipsel.deb
 dff1940556ba3cfbe6686693f0361ed7 1305536 libdevel optional libc6-pic_2.3.5-3_s390.deb
 e51466b2e8783c67ccabeba3d726ebf0 5394106 libdevel extra libc6-dbg_2.3.5-3_powerpc.deb
 e8d5a8a98e646b0f882455c9abd33348 2082182 libdevel standard libc6-dev_2.3.5-3_sparc.deb
 ea2d994b98996ff9827134f7489608ce 1649150 libdevel standard libc6-dev-sparc64_2.3.5-3_sparc.deb
 ecf7ad7d475dff4667b339eaa2e8b3e6 8490 debian-installer extra libnss-dns-udeb_2.3.5-3_arm.udeb
 f16690d2b74b28c4fcd3d39d7b31ef2c 122648 admin optional nscd_2.3.5-3_powerpc.deb
 f2d755715a673b96efed2688eb4584a0 2678438 libdevel standard libc6-dev_2.3.5-3_i386.deb
 f51da6a8ee55b57bc20c1d53548f4f3a 4032006 libdevel standard libc6.1-dev_2.3.5-3_ia64.deb
 fb7c0a6a0f97f55cc312f86d996015ca 1491160 libdevel standard libc6-dev-s390x_2.3.5-3_s390.deb
 fdb96143b861ebd24a49e09233de88b5 1702718 libdevel extra libc6-prof_2.3.5-3_s390.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC8yriqIqasIZIJsMRAqn+AKCQwA3t88N6kvvhA9GSe/bKsOsOAwCff/Pv
5FkzgnP4PxMpGpcoJzQGq6s=
=3a0R
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#276312; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 276312@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: debian-glibc@lists.debian.org
Cc: 276312@bugs.debian.org
Subject: fix for #276312
Date: Wed, 14 Jun 2006 15:44:43 -0600
I'm trying to locate a fix for #276312 to backport to sarge's glibc,
but I'm having trouble tracking down the actual patch. It looks like
it was fixed by grabbing a new upstream. Does someone here perhaps
have a pointer?

The reporter seemed to think that this is related to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=108631, but I do
not think that's the case - in fact, sarge already has the code that
RedHat used to fix that bug (afaict).

-- 
dann frazier




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 14:53:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:08:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.